Package: org.codehaus.groovy.control.messages

## [Java] Class Message

- org.codehaus.groovy.control.messages.Message

- A base class for compilation messages.

  Authors:
    Chris Poirier

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Message` | `create(String text, ProcessingUnit owner)` Creates a new Message from the specified text.
    `` | `static Message` | `create(String text, Object data, ProcessingUnit owner)` Creates a new Message from the specified text.
    `` | `static Message` | `create(SyntaxException error, SourceUnit owner)` Creates a new Message from the specified SyntaxException.
    `` | `void` | `write(PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.
    `` | `void` | `write(PrintWriter writer)` A synonym for write( writer, owner, null ).

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static Message create(String text, ProcessingUnit owner)

      Creates a new Message from the specified text.

    - #### public static Message create(String text, Object data, ProcessingUnit owner)

      Creates a new Message from the specified text.

    - #### public static Message create(SyntaxException error, SourceUnit owner)

      Creates a new Message from the specified SyntaxException.

    - #### public void write(PrintWriter writer, Janitor janitor)

      Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

    - #### public final void write(PrintWriter writer)

      A synonym for write( writer, owner, null ).